Updating plugy with D2SE (generic bad file)

Discuss applications of D2Mod (v1.10), NefEx (v1.11+), and PlugY, and post suggestions for future plugins.

Moderators: Nefarius, Yohann, SVR

Post Reply
ocky
Posts: 1
Joined: Fri Nov 22, 2013 5:48 pm

Updating plugy with D2SE (generic bad file)

Post by ocky » Sun Jan 06, 2019 3:34 pm

hey guys i played plugy with a friend and im getting a generic bad file when i try to play my chars

i had 10.0 and my friend had 11.1 plugy i think or 11.2 or whateevr the newset version is

Im running my current plugy off D2SE and i downloaded the new plugy patch i just need help on converting the files and updating

I copy and pasted my new plugy files into the current plugy folder i had and its still showing the 10.00 version

anyone know the fix? thank you

User avatar
ChaosMarc
Dark Alliance Beta Test
Paladin
Posts: 217
Joined: Fri May 28, 2004 2:00 pm
Germany

Re: Updating plugy with D2SE (generic bad file)

Post by ChaosMarc » Mon Jan 07, 2019 9:10 am

you have to replace the plugy.exe + dll in your "Diablo II\PlugY" directory with the latest ones not just the regular content from plugy.zip/PlugY folder. For D2SE everything belonging to PlugY is stored flatly in "Diablo II\PlugY"

also if there is a Plugy.dll in your mod directory (assuming you're using a mod and not just a core) you have to replace that too

User avatar
seltsamuel
Posts: 80
Joined: Sat Feb 10, 2007 8:52 am

Re: Updating plugy with D2SE (generic bad file)

Post by seltsamuel » Tue Jan 08, 2019 1:43 am

Hi,

to be more specific:
you only have to place the plugy.dll of your choice inside the modfolder as D2SE Modmanager has a loading order for ANY file.

this is the order
1. look for the file/dll inside the modfolders selected language folder
if this not exists
2. look for the file/dll inside the modfolder directly
if this not exists
3. look into the optional files folder
if this not exists
4. look into the core selected language folder
if this not exists
5. look into the core folder
if this not exists
6. look directly inside D2 folder
if this not exists
7. wtf you want ? Bail out and error

The loading order is one of D2SEs most powerfull tools and can be (ab)used for many interesting things not only for languagespecific files.. but for example to offer different mod versions that the user can select (example Player 1/4/8 Mod)

As a sidenote keep away from the core folders!! do not chage anything there beside savegames. The warning text is not without a reason.. handling of the core folders will additionally change with the next version of D2SE as every core gets a folder inside MODS where the savegames will be found. This is to make handling of cores and mods equal and take away the last reason to fiddle with the core folders at all. Keep in mind the corefolders are use for ALL mods that use this core..
and can behave unexpected when confronted with modified files.

Greetings

Seltsamuel

Post Reply

Return to “PlugY|NefEx|D2Mod”